Bug 1309950 - JBDS Bpmn2 Diagram Editor - MetaData Tag Introduces Bad Namespace
JBDS Bpmn2 Diagram Editor - MetaData Tag Introduces Bad Namespace
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 6.3.0
Assigned To: Kris Verlaenen
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 23:51 EST by Justin Holmes
Modified: 2016-04-27 02:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
test.bpmn2 (4.57 KB, application/xml)
2016-02-18 23:51 EST, Justin Holmes
no flags Details
Stacktrace (4.62 KB, text/plain)
2016-02-18 23:52 EST, Justin Holmes
no flags Details

  None (edit)
Description Justin Holmes 2016-02-18 23:51:32 EST
Created attachment 1128431 [details]
test.bpmn2

Description of problem:
1.1.4.Final introduces a bad namespace for the metadata tag which is required to implement asynchronous continuations in jbpm >= 6.3.
http://mswiderski.blogspot.com/2015/04/asynchronous-continuation-in-jbpm-63.html (see comments). 

Version-Release number of selected component (if applicable):
1.1.4

How reproducible:
100%

Steps to Reproduce:
1. Install bpm and rule dev tools
2. New-> jbpm process
3. Add service task
4. Go to general tab and add meta data

Actual results:
        <tns:metaData tns:name="customAsync">
          <tns:metaValue><![CDATA[true]]></tns:metaValue>
        </tns:metaData>


Expected results:
        <tns:metaData name="customAsync">
          <tns:metaValue><![CDATA[true]]></tns:metaValue>
        </tns:metaData>

At least with the current XML namespace declarations

Additional info:
I would be open to an implementation for service tasks and other tasks that has a check box for async continuation, as opposed to the metadata button, as the meta thing is a bit cryptic. BC has this tick button, but unlike JBDS, BC is tied to a runtime version. Probably worth talking to Maciej about this one.
Comment 1 Justin Holmes 2016-02-18 23:52 EST
Created attachment 1128432 [details]
Stacktrace
Comment 3 Justin Holmes 2016-02-19 00:47:25 EST
Also worth noting here that the async applies to more than just the service task, but also any work item handler, so whatever solution is chosen needs to apply to any task that can use async continuations,
Comment 4 Jozef Marko 2016-02-22 02:14:38 EST
Bob, please let us know, If you decided to fix metadata namespace or you have also added checkbox similarly to web designer.
Comment 5 Jozef Marko 2016-02-22 03:10:25 EST
I have checked latest BPMN2 Modeler for eclipse Mars and I know answer for my previous question.

Bob, sorry for needinfo flag and probably notification email you received.

The latest jbds tooling is:
jbds-9.1.0.Beta2_jbdsis-9.0.0.Beta1
BPMN2 Modeler - 1.2.3.CR2-v20160209-2002

Bug is fixed in:
BPMN2 Modeler - 1.2.3.Final-v20160218-1949-B212

When jbds tooling will contain newer BPMN2 Modeler, I will mark this as verified.
Comment 6 Jozef Marko 2016-03-23 05:34:34 EDT
After "expert" mode is enabled (Preferences-BPMN2-Editor-Behavior), feature works well on:
jbds-9.1.0.Beta2_jbdsis-9.0.0.Beta1
jbds-8.1.0.GA_jbdsis-8.0.6.CR3
Comment 7 Robert (Bob) Brodt 2016-03-23 10:19:15 EDT
Fixed in BPMN2 Modeler versions for
Luna: 1.1.6.CR1-v20160318-1403-B1303
Mars: 1.2.4.CR1-v20160318-1302-B107
Neon: 1.3.0.Beta1-v20160318-1302-B41

Note You need to log in before you can comment on or make changes to this bug.